#
# spec file for package xmovie (Version 1.5.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gpp libgpp libpng nasm xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libpng libtool libz m4 make man mktemp modutils nasm ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xmovie
Summary:      A movie player for QuickTime and MPEG-2 movies
Version:      1.5.4
Release:      107
Group:        X11/Applications/Multimedia
Source:       http://heroines.sourceforge.net/%{name}-%{version}.tar.bz2
Patch:	      xmovie-%{version}.dif
Patch1:       xmovie-%{version}-fontset.patch
URL:          http://heroines.sourceforge.net/xmovie.php3
Copyright:    GPL
BuildRoot:    %{_tmppath}/%{name}-root
# due to patent problems the source is not included
NoSource:     0

%description
xmovie is a small movie player for MPEG-1, MPEG-2, MP3 audio, MP2 audio, AC3
audio, and Quicktime movies with stereo sound. It won't play any Quicktime
movies you download from the internet because those are compressed with
Sorenson Vision.
What XMovie is used for is playing long high resolution movies you capture or
composite yourself. It is the only player supporting stereo sound for Quicktime
and the only practical method of watching movies over 50 minutes on a Linux
box. DVD users can enjoy watching the individual IFO files.
The video decompression can use one or two processors. XMovie's letterbox
elimination and aspect ratios allow you to further enhance your web server
movie-going experience.
XMovie's MPEG-2 decoder works for movies created with MPEG-2 Movie and IFO
files.

Authors:
--------
    Adam Williams <broadcast@earthling.net>

SuSE series: gra

%prep
%setup -q
%patch
%patch1 -p1
%{?suse_update_config:%{suse_update_config}}

%build
chmod -R u+rw,go+r .
CFLAGS="$RPM_OPT_FLAGS" ./configure
export PATH=$PATH:.
cd libmpeg3
%ifarch i386
CFLAGS="$RPM_OPT_FLAGS" ./configure --no-css
%else
CFLAGS="$RPM_OPT_FLAGS" ./configure --no-css --no-mmx
%endif
make
cd -
# Im sucks -fpermissive to get rid of gcc2.95 warning.
gcc --version|grep -q 2.95 && CFLAGS="$RPM_OPT_FLAGS -fpermissive" make
gcc --version|grep -q 2.95 || CFLAGS="$RPM_OPT_FLAGS" make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
install -s xmovie/xmovie $RPM_BUILD_ROOT%{_prefix}/X11R6/bin

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc README docs/index.html
%attr(755,root,root) %{_prefix}/X11R6/bin/xmovie

%changelog -n xmovie
* Fri Jul 13 2001 - uli@suse.de
- fixed for non-x86 archs (incl. gcc 3.0 fixes)
* Fri Jun 08 2001 - adrian@suse.de
- clean code to prevent potential license problem
* Mon Feb 05 2001 - grimmer@suse.de
- update to 1.5.4
- corrected URL in spec file and adjusted configure patch
* Mon Jan 22 2001 - violiet@suse.de
- added fontset patch to display Japanese and Korean correctly
  in the playlist box.
* Fri Nov 17 2000 - uli@suse.de
- fixed for non-x86 archs
* Wed Nov 15 2000 - grimmer@suse.de
- initial package (1.5.2)
- spec file derived from Mandrake Linux and adjusted to SuSE Linux
